> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/identity/administration/deleted-items.md).

# Deleted Items

Shows deleted items in the tenant. What else did you expect? Monkeys? 🐒

## Available Deleted Item Types

* Administrative Unit
* Application
* Certificate Authority Detail
* Certificate Based Auth PKI
* External User Profile
* Group
* Pending External User Profile
* Service Principal
* User

## Column Details

The table will show some basic default information regarding the deleted object. The full list of columns available represent the Graph resource type [`administrativeUnit`](https://learn.microsoft.com/en-us/graph/api/resources/administrativeunit?view=graph-rest-1.0#properties), [`application`](https://learn.microsoft.com/en-us/graph/api/resources/application?view=graph-rest-1.0#properties), [`certificateAuthorityDetail`](https://learn.microsoft.com/en-us/graph/api/resources/certificateauthoritydetail?view=graph-rest-1.0#properties), [`certificateBasedAuthPki`](https://learn.microsoft.com/en-us/graph/api/resources/certificatebasedauthpki?view=graph-rest-1.0#properties), [`externalUserProfile`](https://learn.microsoft.com/en-us/graph/api/resources/externaluserprofile?view=graph-rest-beta#properties), [`group`](https://learn.microsoft.com/en-us/graph/api/resources/group?view=graph-rest-1.0#properties), [`pendingExternalUserProfile`](https://learn.microsoft.com/en-us/graph/api/resources/pendingexternaluserprofile?view=graph-rest-beta#properties), [`servicePrincipal`](https://learn.microsoft.com/en-us/graph/api/resources/serviceprincipal?view=graph-rest-1.0#properties), and [`user`](https://learn.microsoft.com/en-us/graph/api/resources/user?view=graph-rest-1.0#properties).

## Table Actions

<table><thead><tr><th>Action</th><th>Description</th><th data-type="checkbox">Bulk Action Available</th></tr></thead><tbody><tr><td>Restore Object</td><td>Restores the selected item(s)</td><td>true</td></tr><tr><td>Permanently Delete Object</td><td>Permanently deletes the selected item(s)</td><td>true</td></tr><tr><td>More Info</td><td>Displays the Extended Info flyout</td><td>false</td></tr></tbody></table>

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/CyberDrain/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cipp.app/user-documentation/identity/administration/deleted-items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
